'************Set Variables here************

' Results output file
ResultsFile = "lcladmns.txt"

' Errors log File
ErrorLog = "errors.txt"

' Computers list file
ComputersFile = "computers.txt"

'******************************************

'*****Contasts

Const OpenAsASCII      =  0
Const OverwriteIfExist = -1
Const ForAppending = 8
TotErr = 0

'*****End of Contasts


Set oFS = CreateObject("Scripting.FileSystemObject")

'*****If ComputersFile Doesnt exist then create it and write local pc name into it

If not oFS.FileExists(ComputersFile) Then
	Set fFile = oFS.CreateTextFile(ComputersFile, OverwriteIfExist, OpenAsASCII)
	Set oWshNet = CreateObject("WScript.Network")
	fFile.WriteLine(oWshNet.ComputerName)
	fFile.Close
End If 

Set oTS = oFS.OpenTextFile(ComputersFile)
Set oTSOut = oFS.CreateTextFile(ErrorLog)
Set fFile = oFS.CreateTextFile(ResultsFile, OverwriteIfExist, OpenAsASCII)

Do Until oTS.AtEndOfStream

  sComputer = oTS.ReadLine

 On Error Resume Next
 
'*****MAKE CONNECTION

 Set oAdminGroup = GetObject("WinNT://" & sComputer & "/Administrators")

'*****END OF CONNECTION

 If Err <> 0 Then
	TotErr = TotErr + 1
 	oTSOut.WriteLine "Error on " & sComputer & ":" & Err.Number & ", " & Err.Description
 Else
	 On Error Goto 0

	Blank = 0
	For Each oAdminUser in oAdminGroup.Members
        sAdmGrpUser = LCase(oAdminUser.Name)
 	 If (sAdmGrpUser <> "administrator") And (sAdmGrpUser <> "domain admins") Then
  	Blank = Blank + 1
	If blank = 1 then
	fFile.WriteLine ("--------------> " & sComputer)
	end if 
	fFile.WriteLine Mid(oAdminUser.ADsPath, 9)
	End if
	Next
	fFile.WriteLine ("")

 End If
 
Loop

fFile.Close
oTS.Close
oTSOut.Close
If TotErr = 0 Then
	msgbox "Task completed with " & TotErr & " errors"
Else
	msgbox "Task completed with " & TotErr & " errors" & Chr(10) & Chr(13) & "Please check the error log"
End If